## WebKitDOMCSSStyleDeclaration

WebKitDOMCSSStyleDeclaration

## Functions

gchar * | webkit_dom_css_style_declaration_get_property_value ()
gchar * | webkit_dom_css_style_declaration_remove_property ()
gchar * | webkit_dom_css_style_declaration_get_property_priority ()
void | webkit_dom_css_style_declaration_set_property ()
gchar * | webkit_dom_css_style_declaration_item ()
gchar * | webkit_dom_css_style_declaration_get_property_shorthand ()
gboolean | webkit_dom_css_style_declaration_is_property_implicit ()
gchar * | webkit_dom_css_style_declaration_get_css_text ()
void | webkit_dom_css_style_declaration_set_css_text ()
gulong | webkit_dom_css_style_declaration_get_length ()
WebKitDOMCSSRule * | webkit_dom_css_style_declaration_get_parent_rule ()
WebKitDOMCSSValue * | webkit_dom_css_style_declaration_get_property_css_value ()

## Properties

gchar * | css-text | Read / Write
gulong | length | Read
WebKitDOMCSSRule * | parent-rule | Read

## Types and Values

| WebKitDOMCSSStyleDeclaration

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMCSSStyleDeclaration

## Description

## Functions

### webkit_dom_css_style_declaration_get_property_value ()

    gchar *
    webkit_dom_css_style_declaration_get_property_value
                                   (WebKitDOMCSSStyleDeclaration *self,
                                    const gchar *propertyName);

#### Parameters

self | A WebKitDOMCSSStyleDeclaration |
propertyName | A gchar |

#### Returns

A gchar

### webkit_dom_css_style_declaration_remove_property ()

    gchar *
    webkit_dom_css_style_declaration_remove_property
                                   (WebKitDOMCSSStyleDeclaration *self,
                                    const gchar *propertyName,
                                    GError **error);

#### Parameters

self | A WebKitDOMCSSStyleDeclaration |
propertyName | A gchar |
error | GError |

#### Returns

A gchar

### webkit_dom_css_style_declaration_get_property_priority ()

    gchar *
    webkit_dom_css_style_declaration_get_property_priority
                                   (WebKitDOMCSSStyleDeclaration *self,
                                    const gchar *propertyName);

#### Parameters

self | A WebKitDOMCSSStyleDeclaration |
propertyName | A gchar |

#### Returns

A gchar

### webkit_dom_css_style_declaration_set_property ()

    void
    webkit_dom_css_style_declaration_set_property
                                   (WebKitDOMCSSStyleDeclaration *self,
                                    const gchar *propertyName,
                                    const gchar *value,
                                    const gchar *priority,
                                    GError **error);

#### Parameters

self | A WebKitDOMCSSStyleDeclaration |
propertyName | A gchar |
value | A gchar |
priority | A gchar |
error | GError |

### webkit_dom_css_style_declaration_item ()

    gchar *
    webkit_dom_css_style_declaration_item (WebKitDOMCSSStyleDeclaration *self,
                                           gulong index);

#### Parameters

self | A WebKitDOMCSSStyleDeclaration |
index | A gulong |

#### Returns

A gchar

### webkit_dom_css_style_declaration_get_property_shorthand ()

    gchar *
    webkit_dom_css_style_declaration_get_property_shorthand
                                   (WebKitDOMCSSStyleDeclaration *self,
                                    const gchar *propertyName);

#### Parameters

self | A WebKitDOMCSSStyleDeclaration |
propertyName | A gchar |

#### Returns

A gchar

### webkit_dom_css_style_declaration_is_property_implicit ()

    gboolean
    webkit_dom_css_style_declaration_is_property_implicit
                                   (WebKitDOMCSSStyleDeclaration *self,
                                    const gchar *propertyName);

#### Parameters

self | A WebKitDOMCSSStyleDeclaration |
propertyName | A gchar |

#### Returns

A gboolean

### webkit_dom_css_style_declaration_get_css_text ()

    gchar *
    webkit_dom_css_style_declaration_get_css_text
                                   (WebKitDOMCSSStyleDeclaration *self);

#### Parameters

self | A WebKitDOMCSSStyleDeclaration |

#### Returns

A gchar

### webkit_dom_css_style_declaration_set_css_text ()

    void
    webkit_dom_css_style_declaration_set_css_text
                                   (WebKitDOMCSSStyleDeclaration *self,
                                    const gchar *value,
                                    GError **error);

#### Parameters

self | A WebKitDOMCSSStyleDeclaration |
value | A gchar |
error | GError |

### webkit_dom_css_style_declaration_get_length ()

    gulong
    webkit_dom_css_style_declaration_get_length
                                   (WebKitDOMCSSStyleDeclaration *self);

#### Parameters

self | A WebKitDOMCSSStyleDeclaration |

#### Returns

A gulong

### webkit_dom_css_style_declaration_get_parent_rule ()

    WebKitDOMCSSRule *
    webkit_dom_css_style_declaration_get_parent_rule
                                   (WebKitDOMCSSStyleDeclaration *self);

#### Parameters

self | A WebKitDOMCSSStyleDeclaration |

#### Returns

A WebKitDOMCSSRule.

[transfer full]

### webkit_dom_css_style_declaration_get_property_css_value ()

    WebKitDOMCSSValue *
    webkit_dom_css_style_declaration_get_property_css_value
                                   (WebKitDOMCSSStyleDeclaration *self,
                                    const gchar *propertyName);

`webkit_dom_css_style_declaration_get_property_css_value` is deprecated and should not be used in newly-written code.

## Types and Values

### WebKitDOMCSSStyleDeclaration

    typedef struct _WebKitDOMCSSStyleDeclaration WebKitDOMCSSStyleDeclaration;

## Property Details

### The `“css-text”` property

      “css-text”                 gchar *

read-write gchar* CSSStyleDeclaration:css-text.

Flags: Read / Write

Default value: ""

### The `“length”` property

      “length”                   gulong

read-only gulong CSSStyleDeclaration:length.

Flags: Read

### The `“parent-rule”` property

      “parent-rule”              WebKitDOMCSSRule *

read-only WebKitDOMCSSRule* CSSStyleDeclaration:parent-rule.

Flags: Read